Subject: Re: FYI: HTML targets in "Smart Questions"
From: "Jim George" <[email-masked]>
To: "Raphael" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 23 Jul 2002 21:14:34 +0100

----- Original Message -----
From: "Raphael" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, July 23, 2002 7:49 PM
Subject: Re: FYI: HTML targets in "Smart Questions"

On Tue, 23 Jul 2002, Dario Alcocer wrote:

> On Mon, Jul 22, 2002 at 08:25:50PM +0100, Raphael wrote:
> > On Sun, 21 Jul 2002, Dario Alcocer wrote:
> > > [snip]
> > Moderation? Don´t start me on that one. In the end Moderation only
> > resolves in new not cygwin lists that will attrackt trolls to the cygwin
> > list. I'm glad to eleborate if this is not clear.
>
> No need to elaborate, I'm well aware of the "double-edged sword"
> aspects of moderation.  Besides, if you read again what I wrote,
> I'm referring to a very limited form of moderation, which only
> affects the initial post made by all subscribers.  That hardly seems
> like a detail to "get started" on.

> Yes it is, becouse your not talking about a first or second posting but
> about access to the list through a quiz. If I get this wrong then excuse
> me.

> > Who asked them to school new users? Now don't get me wrong, anybody's
> > contribution is valuable and special. But if people think they have to
> > school fellow list members and are irritated by that it might be a good
> > idea for them to take some time of?
>
> Well, you're right, no one *asked* them.  However, as ESR's essay
> points out, community standards don't come for free.  They have to
> be enforced and communicated (what I referred to as "schooling"),
> and the problem with many new users that participate in public
> mailing lists is that they don't realize that a certain standard
> of conduct is expected of them in order to keep the mailing list
> working for the common good.

> Include The Aunt Emily Faq in the welcome faq I would suggest, I myself
> hate forinstance the wellbehaved educaters on this list who do not seem to
> understand how the quoting machanisme works and persist in giving answers
> above a message. But this is not the issue here.

And of course you realise that that means someone is going to comment on it
;)
The problem is that there are so few good mail clients for cygwin, indeed I
can only think of pine and sylpheed (the latter I'm only just compiling at
the moment).  Also there seems to be no standard as far as whether you
answer above or below a previous mail...I've been involved in linux,
windows, database, and mac mailing lists and they all have different
beliefs!  One to set a standard?

> Now granted, you may argue that there are other waysto familiarize
> new users with the standards of conduct.  You seem to prefer the
> FAQ.  I guess I prefer the immediate feedback provided by auto-reply
> to initial posters.

> I can accept that.

> > [snip]
> > I subscibed
> > using the site and remeber clearly that there was somekind of incentive
> > there and if I'm not mistaking the manual states something alike. What a
> > lot of people forget is that for a newbee it is not always clear where
to
> > find the right answer or faq.
>
> Absolutely, I agree with you, it's not always clear.  In fact, I
> think you may have just corroborated what I've observed for a long
> time; information is only *useful* when you are *expecting* to
> receive it.
>
> Trying to tell a new user how to ask questions in the subscription
> confirmation is *not* effective because it is *ignored*.  The new
> user isn't *ready* to hear about "how to ask smart questions"
> immediately upon subscribing.  The information is irrelevant at
> that moment, since they're *not* asking a question at that particular
> moment.  However, they will be more receptive when they are trying
> to get help for the first time; this is the correct time to tell
> them.

> I'm aware of social engineering, I also aware that this can be overdone,
> IMHO you will just create a disappointment, somebody mailing for the first
> time denying an answer (or at least an answer where they didn't ask for)
> will disencourage the use of cygwin.

> The moment they're ready to ask their first question on the list
> is *precisely* the moment you want to inform them of the minimum
> requirements that they are expected to meet.  This the reason why
> I think blocking first-time posts and automatically informing the
> requester they can re-submit their question (after they've read
> ESR's essay) is better.
>
> > Well as you noticed I think it's better to give 'hardworking people'
their
> > own list where they will not be bothered. I could even agree to make
that
> > accesible by an exame ;-)
>
> Well, I don't agree, but of course, you have the right to your
> opinion :-P
>
> Seriously, though, I don't think that you want to separate newbies
> because then, newbies will probably never become gurus.  We *want*
> more gurus, because the more gurus we have, the more questions get
> answered, and by extension, the more newbies that are helped.

> Don't you really see where you go wrong, I find it offending to have to
> think I'm engineerd to become a Guru, this is manipulative to the extend
> of discusting.

> My impression is that Chris, Chuck and the other gurus don't mind
> answering questions, per se.  They just would like the requesters
> to do a little homework before they ask, that's all.

> I propose a cygwin-gurus.
Agreed and a cygwin-dummies (where I will while away the rest of my hours
replying to mails above and below and in between as my mood takes me :) ).

> > > == Footnotes ==
> > >
> > > [1] - One other way to do this is to include a link to the ESR essay
> > > in the confirmation e-mail subscribers receive, but I *doubt* very
> > > much that most would take the time to read it then.  However, if
> > > we instead wait to ask them when they're focused on getting their
> > > first question answered, we can hopefully start teaching them the
> > > fine art of asking questions.
> >
> > Is that what this list is for?
>
> No, but surely if *everyone* on this list (gurus and newbies alike)
> asked questions the "smart way" we'd all reap the benefits of a
> better and more fruitful mailing list.

> If you send them to redhat university they wouldn't even have to ask smart
> questions, they would know smart answers upfront and where a hat (probably
> red) with the letters Guru on it.
Now you want to start a 'who is the best distribution' war?

> Thanks for your comments, you've helped me sharpen my thinking on
> this somewhat controversial topic.

> Thank you for your comments.

> Raphael who is now somewhat upset.
Cheer up I've finished too.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/